Generate OAuth header string signature

- « OAuth::getLastResponseInfo

- OAuth::getRequestToken »

- PHP Manual
- OAuth
- Generate OAuth header string signature

# OAuth::getRequestHeader

(No version information available, might only be in Git)

OAuth::getRequestHeader — Generate OAuth header string signature

### Description

public OAuth::getRequestHeader(string `$http_method`, string `$url`, mixed `$extra_parameters` = ?): string|false

Generate OAuth header string signature based on the final HTTP method, URL and a string/array of parameters

### Parameters

`http_method`

  HTTP method for request.

`url`

  URL for request.

`extra_parameters`

  String or array of additional parameters.

### Return Values

A string containing the generated request header or `false` on failure